RubyGems Navigation menu

rubocop 1.13.0

RuboCop is a Ruby code style checking and code formatting tool. It aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.64.0 - May 23, 2024 (626 KB)
  2. 1.63.5 - May 09, 2024 (623 KB)
  3. 1.63.4 - April 28, 2024 (623 KB)
  4. 1.63.3 - April 22, 2024 (623 KB)
  5. 1.63.2 - April 16, 2024 (623 KB)
  6. 1.13.0 - April 20, 2021 (477 KB)
Show all versions (272 total)

Runtime Dependencies (8):

parallel ~> 1.10
parser >= 3.0.0.0
rainbow >= 2.2.2, < 4.0
regexp_parser >= 1.8, < 3.0
rexml >= 0
rubocop-ast >= 1.2.0, < 2.0
unicode-display_width >= 1.4.0, < 3.0

Development Dependencies (1):

bundler >= 1.15.0, < 3.0

Owners:

Pushed by:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

4d24d2557ad91ebf0c316c7da4e4b96c2e293ae32ab6760510bc650e8e91f931

Total downloads 422,434,825

For this version 1,689,612

License:

MIT

Required Ruby Version: >= 2.5.0

New versions require MFA: true

Links: